@mixin typography($variant: 'base') {
  @if ($variant == 'xs') {
    font-size: 0.75rem;
    line-height: 1rem;
  }
  @if ($variant == 'xs-medium') {
    font-weight: 500;
    @include typography('xs');
  }
  @if ($variant == 'xs-semibold') {
    font-weight: 600;
    @include typography('xs');
  }

  @if ($variant == 'sm') {
    font-size: 0.875rem;
    line-height: 1.25rem;
  }
  @if ($variant == 'sm-medium') {
    font-weight: 500;
    @include typography('sm');
  }
  @if ($variant == 'sm-semibold') {
    font-weight: 600;
    @include typography('sm');
  }

  @if ($variant == 'base') {
    font-size: 1rem;
    line-height: 1.5rem;
  }
  @if ($variant == 'base-medium') {
    font-weight: 500;
    @include typography('base');
  }
  @if ($variant == 'base-semibold') {
    font-weight: 600;
    @include typography('base');
  }

  @if ($variant == 'lg') {
    font-size: 1.125rem;
    line-height: 1.75rem;
  }
  @if ($variant == 'lg-medium') {
    font-weight: 500;
    @include typography('lg');
  }
  @if ($variant == 'lg-semibold') {
    font-weight: 600;
    @include typography('lg');
  }

  @if ($variant == 'xl') {
    font-size: 1.25rem;
    line-height: 1.75rem;
  }
  @if ($variant == 'xl-medium') {
    font-weight: 500;
    @include typography('xl');
  }
  @if ($variant == 'xl-semibold') {
    font-weight: 600;
    @include typography('xl');
  }

  @if ($variant == '2xl') {
    font-size: 1.5rem;
    line-height: 2rem;
  }
  @if ($variant == '2xl-medium') {
    font-weight: 500;
    @include typography('2xl');
  }
  @if ($variant == '2xl-semibold') {
    font-weight: 600;
    @include typography('2xl');
  }

  @if ($variant == '3xl') {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
  @if ($variant == '3xl-medium') {
    font-weight: 500;
    @include typography('3xl');
  }
  @if ($variant == '3xl-semibold') {
    font-weight: 600;
    @include typography('3xl');
  }

  @if ($variant == '4xl') {
    font-size: 2.25rem;
    line-height: 2.5rem;
  }
  @if ($variant == '4xl-medium') {
    font-weight: 500;
    @include typography('4xl');
  }
  @if ($variant == '4xl-semibold') {
    font-weight: 600;
    @include typography('4xl');
  }

  @if ($variant == '5xl') {
    font-size: 3rem;
    line-height: normal;
  }
  @if ($variant == '5xl-medium') {
    font-weight: 500;
    @include typography('5xl');
  }
  @if ($variant == '5xl-semibold') {
    font-weight: 600;
    @include typography('5xl');
  }

  @if ($variant == '6xl') {
    font-size: 3.75rem;
    line-height: normal;
  }
  @if ($variant == '6xl-medium') {
    font-weight: 500;
    @include typography('6xl');
  }
  @if ($variant == '6xl-semibold') {
    font-weight: 600;
    @include typography('6xl');
  }

  @if ($variant == '7xl') {
    font-size: 4.5rem;
    line-height: normal;
  }
  @if ($variant == '7xl-medium') {
    font-weight: 500;
    @include typography('7xl');
  }
  @if ($variant == '7xl-semibold') {
    font-weight: 600;
    @include typography('7xl');
  }

  @if ($variant == '8xl') {
    font-size: 6rem;
    line-height: normal;
  }
  @if ($variant == '8xl-medium') {
    font-weight: 500;
    @include typography('8xl');
  }
  @if ($variant == '8xl-semibold') {
    font-weight: 600;
    @include typography('8xl');
  }

  @if ($variant == '9xl') {
    font-size: 8rem;
    line-height: normal;
  }
  @if ($variant == '9xl-medium') {
    font-weight: 500;
    @include typography('9xl');
  }
  @if ($variant == '9xl-semibold') {
    font-weight: 600;
    @include typography('9xl');
  }
}